Bug 1396729 - [GTK3] LibreOffice Writer slows scrolling with embedded images
Summary: [GTK3] LibreOffice Writer slows scrolling with embedded images
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-19 12:23 UTC by Anass Ahmed
Modified: 2018-05-15 07:13 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-27 01:20:02 UTC


Attachments (Terms of Use)
A Screencast of Embedded PNGs slowing the scroll (6.40 MB, application/octet-stream)
2016-11-19 12:23 UTC, Anass Ahmed
no flags Details
Sample document with embedded PNGs (3.52 MB, application/vnd.oasis.opendocument.text)
2016-11-21 12:21 UTC, Anass Ahmed
no flags Details
GTK2 LibreOffice scrolling with tearing (12.61 MB, application/octet-stream)
2016-11-21 12:50 UTC, Anass Ahmed
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Document Foundation 87485 None None None 2016-11-19 12:23 UTC

Description Anass Ahmed 2016-11-19 12:23:29 UTC
Created attachment 1222159 [details]
A Screencast of Embedded PNGs slowing the scroll

Description of problem:
My laptop has quite good specs (core i7 haswell [quad-core], 16 GBs of RAM, Intel Iris Pro 5200 with 128 MB DRAM, and 250 GBs SSD). I use 2-finger touchpad scrolling all the time. When there's an embedded image in LibreOffice Writer, it slows down the scrolling especially with toucpad. Using the scrollbar mitigate the issue a little, but not a practical solution.

Version-Release number of selected component (if applicable):
libreoffice-5.2.3.3-4.fc25.x86_64
libreoffice-gtk3-5.2.3.3-4.fc25.x86_64
libreoffice-writer-5.2.3.3-4.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a new document.
2. Insert or Paste some PNG Images.
3. Try to scroll through the pages, and compare pages with Text only and pages with Images.

Actual results:
Images slows down the scrolling.

Expected results:
Images doesn't slow down the scrolling.

Additional info:
In the attached video, I used 3 ways of scrolling:
1. First by dragging the scrolling bar,
2. Then scrolling using the mouse wheel,
3. Finally, using 2-finger touchpad gesture.
The difference is noticeable.

Comment 1 Caolan McNamara 2016-11-21 09:56:05 UTC
attach your sample document

Comment 2 Anass Ahmed 2016-11-21 12:21 UTC
Created attachment 1222377 [details]
Sample document with embedded PNGs

This is the sample document I was using when I noticed the lag.

It's in Arabic, I don't know if this will affect anything.

Comment 3 Anass Ahmed 2016-11-21 12:27:06 UTC
Worth noting that this issue doesn't occur with SAL_USE_VCLPLUGIN=kde4 or gen, but with KDE4, there's a lot of tearing when scrolling (I'm using Wayland).

I couldn't test 5.2.3 GTK2 (Every time I use SAL_USE_VCLPLUGIN=gtk2, it gives me the default GTK3).

It doesn't occur with LibreOfficeDev 5.3 GTK2, KDE4, or Gen. (I couldn't test GTK3 because it's disabled in the compiled builds, and I didn't have time to compile the source myself).

Comment 4 Michael Stahl 2016-11-21 12:38:57 UTC
SAL_USE_VCLPLUGIN=gtk2 doesn't exist, for historic reasons it is spelled SAL_USE_VCLPLUGIN=gtk

Comment 5 Anass Ahmed 2016-11-21 12:50 UTC
Created attachment 1222383 [details]
GTK2 LibreOffice scrolling with tearing

(In reply to Michael Stahl from comment #4)
> SAL_USE_VCLPLUGIN=gtk2 doesn't exist, for historic reasons it is spelled
> SAL_USE_VCLPLUGIN=gtk

Oh, my bad. Now, I can try GTK2 with 5.2.3. It's scrolling without lags but with the same tearing issue that I've found in KDE4, but the tearing is another issue.

Recording with GNOME Shell under Wayland is broken, because the jittery effect isn't happening as shown in the video, it's just tearing that I can notice.

Comment 6 Anass Ahmed 2016-11-21 19:53:11 UTC
I've finally found the time (and disk space) to compile LibreOfficeDev 5.3 from source code. the same issue exists there too for GTK3 backend, no issues with GTK2, KDE4 or Gen.

Comment 7 Aznar 2017-02-15 10:09:38 UTC
I have the same issue here : images make Libreoffice's scrolling very slow. I use KDE as a desktop environment. 

Build ID: 5.2.5.1-6.fc25
4.9.7-201.fc25.x86_64
KDE 5.29.0
Qt 5.7.1

I'll be happy to provide further information as I'm writing my Phd with Libreoffice and solving this issue would help me a lot not getting mad :)

Comment 8 Caolan McNamara 2017-05-22 16:13:14 UTC
I wonder if this is solved with the fix for bug 1367846 in testing update 5.2.7.2-3.fc25 ?

Comment 9 Yaroslav Sidlovsky 2017-11-03 08:29:42 UTC
I've got the same bug on LibreOffice Writer version 5.3.7.2-1.fc26.
It's damn too slow with GTK3 backend, switching to KDE4 backend helps.

Comment 10 Fedora End Of Life 2017-11-16 19:04:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-12-12 10:29:56 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Trevor Cordes 2017-12-12 18:59:49 UTC
This bug persists in Fedora 26.  Please reopen the bug.

Also, if you try to type new text in areas above the pictures, the text only shows up after a multi-second delay.  Entering text below the pictures occurs with no delay.

Comment 13 Anass Ahmed 2017-12-14 09:19:56 UTC
Re-opening the bug as it's still persisting in the current version of Fedora (27).

Software Versions:
libreoffice-langpack-en-5.4.3.2-1.fc27.x86_64
libreoffice-5.4.3.2-1.fc27.x86_64
libreoffice-pdfimport-5.4.3.2-1.fc27.x86_64
libreoffice-writer-5.4.3.2-1.fc27.x86_64
libreoffice-filters-5.4.3.2-1.fc27.x86_64
libreoffice-kde4-5.4.3.2-1.fc27.x86_64
libreoffice-graphicfilter-5.4.3.2-1.fc27.x86_64
libreoffice-x11-5.4.3.2-1.fc27.x86_64
libreoffice-pyuno-5.4.3.2-1.fc27.x86_64
libreoffice-base-5.4.3.2-1.fc27.x86_64
libreoffice-gtk3-5.4.3.2-1.fc27.x86_64
libreoffice-impress-5.4.3.2-1.fc27.x86_64
libreoffice-draw-5.4.3.2-1.fc27.x86_64
libreoffice-core-5.4.3.2-1.fc27.x86_64
libreoffice-data-5.4.3.2-1.fc27.noarch
libreoffice-calc-5.4.3.2-1.fc27.x86_64
libreoffice-opensymbol-fonts-5.4.3.2-1.fc27.noarch
libreoffice-help-en-5.4.3.2-1.fc27.x86_64
libreoffice-ure-common-5.4.3.2-1.fc27.noarch
libreoffice-gtk2-5.4.3.2-1.fc27.x86_64
libreoffice-emailmerge-5.4.3.2-1.fc27.x86_64
libreofficekit-5.4.3.2-1.fc27.x86_64
libreoffice-ure-5.4.3.2-1.fc27.x86_64
libreoffice-postgresql-5.4.3.2-1.fc27.x86_64
libreoffice-xsltfilter-5.4.3.2-1.fc27.x86_64
libreoffice-math-5.4.3.2-1.fc27.x86_64

Though, I followed the upstream bug[1] closely and looks like the issue has been fixed in 6.0.0 so I'm waiting for this version to arrive in Fedora 27 (maybe 28) to test and make sure it's working.

If the solution has been backported to the affected versions above (as mentioned in the upstream bug), I assure you that it's not working right now, but I need confirmation from the maintainer.

--
[1] https://bugs.documentfoundation.org/show_bug.cgi?id=87485

Comment 14 Caolan McNamara 2017-12-14 13:53:21 UTC
"slowness" bugs tend to linger for ages given the subjectivity around what is slow and the difficultly to reproduce on different hardware setups

Comment 15 Fedora Update System 2018-04-19 07:57:47 UTC
libreoffice-5.4.6.2-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-51fd280bb4

Comment 16 Fedora Update System 2018-04-19 17:38:52 UTC
libreoffice-5.4.6.2-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-51fd280bb4

Comment 17 Fedora Update System 2018-04-27 01:20:02 UTC
libreoffice-5.4.6.2-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Bart Ratgers 2018-05-15 07:09:42 UTC
The speed of libre -office is somewhat improved, especially the graphics. But libre-office in combination with gtk3 is stil unusable for large presentations. 


With libreoffice-gtk3-6.0.3.2-10.fc28.x86_64 installed and enabled. 
- My CPU Core stay at 99% busy for the soffice.bin process
- I can't use the user interface, it continues blokes

Without any gtk library installed
- The CPU sticks at 12% and the Xwayland process between 35% till 69%. I
- I can stil use the interface.

Comment 19 Bart Ratgers 2018-05-15 07:13:26 UTC
Sorry for this comment, this was an update to an Fedora related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1509059

(In reply to Bart Ratgers from comment #18)
> The speed of libre -office is somewhat improved, especially the graphics.
> But libre-office in combination with gtk3 is stil unusable for large
> presentations. 
> 
> 
> With libreoffice-gtk3-6.0.3.2-10.fc28.x86_64 installed and enabled. 
> - My CPU Core stay at 99% busy for the soffice.bin process
> - I can't use the user interface, it continues blokes
> 
> Without any gtk library installed
> - The CPU sticks at 12% and the Xwayland process between 35% till 69%. I
> - I can stil use the interface.


Note You need to log in before you can comment on or make changes to this bug.